View Issue Details

IDProjectCategoryView StatusLast Update
0003166GNUnetcadet servicepublic2013-12-24 20:53
ReporterChristian GrothoffAssigned ToBart Polot 
PriorityurgentSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.0Fixed in Version0.10.0 
Summary0003166: segfault in mesh
DescriptionProgram terminated with signal 11, Segmentation fault.
#0 GML_send_ack (c=0x0, id=2952790016) at gnunet-service-mesh_local.c:958
958 GNUNET_SERVER_notification_context_unicast (nc,
(gdb) ba
#0 GML_send_ack (c=0x0, id=2952790016) at gnunet-service-mesh_local.c:958
#1 0x00007f1bef536988 in send_client_ack (ch=0x7f1bf141b5a0, fwd=0) at gnunet-service-mesh_channel.c:598
#2 0x00007f1bef53a6c3 in GMCH_allow_client (ch=0x7f1bf141b5a0, fwd=0) at gnunet-service-mesh_channel.c:1533
#3 0x00007f1bef52ad25 in GMT_unchoke_channels (t=0x7f1bf140a520) at gnunet-service-mesh_tunnel.c:2046
#4 0x00007f1bef532c0b in GMC_send_ack (c=0x7f1bf14098f0, fwd=0, force=0) at gnunet-service-mesh_connection.c:2089
#5 0x00007f1bef52cc1e in message_sent (cls=0x7f1bf140d230, c=0x7f1bf14098f0, type=280, fwd=0, size=88, wait=...)
    at gnunet-service-mesh_connection.c:588
#6 0x00007f1bef543fdd in GMP_queue_destroy (queue=0x7f1bf14096d0, clear_cls=0) at gnunet-service-mesh_peer.c:952
#7 0x00007f1bef5436f6 in queue_send (cls=0x7f1bf140e790, size=33376, buf=0x7f1bf143469c) at gnunet-service-mesh_peer.c:859
#8 0x00007f1beec70e20 in transmit_message (cls=0x7f1bf140d330, size=33436, buf=0x7f1bf1434660) at core_api.c:657
#9 0x00007f1beee8d25a in client_notify (cls=0x7f1bf140a4b0, size=33436, buf=0x7f1bf1434660) at client.c:1151
#10 0x00007f1beee99e32 in process_notify (connection=0x7f1bf140d0f0) at connection.c:1172
#11 0x00007f1beee9a9d7 in transmit_ready (cls=0x7f1bf140d0f0, tc=0x7fffd982fcc0) at connection.c:1303
#12 0x00007f1beeec9ec1 in run_ready (rs=0x7f1bf140c490, ws=0x7f1bf140c520) at scheduler.c:595
#13 0x00007f1beeeca813 in GNUNET_SCHEDULER_run (task=0x7f1beeed7900 <service_task>, task_cls=0x7fffd982ff00) at scheduler.c:817
#14 0x00007f1beeed9610 in GNUNET_SERVICE_run (argc=3, argv=0x7fffd98302c8, service_name=0x7f1bef54c9c0 "mesh",
    options=GNUNET_SERVICE_OPTION_NONE, task=0x7f1bef5485c8 <run>, task_cls=0x0) at service.c:1478
#15 0x00007f1bef5489aa in main (argc=3, argv=0x7fffd98302c8) at gnunet-service-mesh.c:161
Steps To Reproducegrothoff@spec:~/svn/gnunet/src/dv$ ../testbed/gnunet-testbed-profiler -c test_transport_dv_data.conf -p 10 -e 100
TagsNo tags attached.

Relationships

related to 0003056 closedSree Harsha Totakura conversation needs to pass acceptence test 
child of 0001795 confirmed DV is not implemented 

Activities

Bart Polot

2013-12-12 13:42

manager   ~0007852

Fixed in r31303.

Issue History

Date Modified Username Field Change
2013-12-08 21:55 Christian Grothoff New Issue
2013-12-08 21:55 Christian Grothoff Status new => assigned
2013-12-08 21:55 Christian Grothoff Assigned To => Bart Polot
2013-12-08 22:25 Christian Grothoff Relationship added child of 0001795
2013-12-11 18:27 Bart Polot Status assigned => confirmed
2013-12-11 20:11 Christian Grothoff Relationship added related to 0003056
2013-12-12 13:42 Bart Polot Note Added: 0007852
2013-12-12 13:42 Bart Polot Status confirmed => resolved
2013-12-12 13:42 Bart Polot Fixed in Version => SVN HEAD
2013-12-12 13:42 Bart Polot Resolution open => fixed
2013-12-12 14:15 Christian Grothoff Fixed in Version SVN HEAD => 0.10.0
2013-12-24 20:53 Christian Grothoff Status resolved => closed
2014-05-09 18:34 Christian Grothoff Category mesh service => cadet service